Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class ServantActivatorPOA

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.PortableServer.ServantActivatorPOA

All Implemented Interfaces:
  InvokeHandler, ServantActivatorOperations, ServantManagerOperations

public abstract class ServantActivatorPOA
extends Servant
implements ServantActivatorOperations, InvokeHandler

When the POA has the RETAIN policy it uses servant managers that are ServantActivators.

Constructor Summary
`ServantActivatorPOA()`

Method Summary
`String[]` | `_all_interfaces(POA poa, byte[] objectId)` Used by the ORB to obtain complete type information from the servant.
`OutputStream` | `_invoke(String $method, InputStream in, ResponseHandler $rh)` Invoked by the ORB to dispatch a request to the servant.
`ServantActivator` | `_this()`
`ServantActivator` | `_this(ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.PortableServer.ServantActivatorOperations
`etherealize, incarnate`

Constructor Detail

### ServantActivatorPOA

    public ServantActivatorPOA()

Method Detail

### _invoke

    public OutputStream _invoke(String $method,
                                InputStream in,
                                ResponseHandler $rh)

  Description copied from interface: `InvokeHandler`
  Invoked by the ORB to dispatch a request to the servant. ORB passes the method name, an InputStream containing the marshalled arguments, and a ResponseHandler which the servant uses to construct a proper reply. Only CORBA SystemException may be thrown by this method. The method must return an OutputStream created by the ResponseHandler which contains the marshalled reply. A servant must not retain a reference to the ResponseHandler beyond the lifetime of a method invocation. Servant behaviour is defined as follows:

  1. Determine correct method, and unmarshal parameters from InputStream.

  2. Invoke method implementation.

  3. If no user exception, create a normal reply using ResponseHandler.

  4. If user exception occurred, create exception reply using ResponseHandler.

  5. Marshal reply into OutputStream returned by ResponseHandler.

  6. Return OutputStream to ORB.

  Specified by:
    `_invoke` in interface `InvokeHandler`
  Parameters:
    `$method` - The method name.
    `in` - The `InputStream` containing the marshalled arguments.
    `$rh` - The `ResponseHandler` which the servant uses to construct a proper reply
  Returns:
    The `OutputStream` created by the ResponseHandler which contains the marshalled reply

### _all_interfaces

    public String[] _all_interfaces(POA poa,
                                    byte[] objectId)

  Description copied from class: `Servant`
  Used by the ORB to obtain complete type information from the servant.

  Specified by:
    `_all_interfaces` in class `Servant`
  Returns:
    list of type information for the object.

### _this

    public ServantActivator _this()

### _this

    public ServantActivator _this(ORB orb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.